Last Comment Bug 678656 - fix some debug only warnings in js/src/jsemit.cpp
: fix some debug only warnings in js/src/jsemit.cpp
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Robert Sayre
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-12 16:22 PDT by Robert Sayre
Modified: 2011-08-14 06:49 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
add the other two member variables (390 bytes, patch)
2011-08-12 16:23 PDT, Robert Sayre
dmandelin: review+
Details | Diff | Splinter Review

Description Robert Sayre 2011-08-12 16:22:24 PDT
jsemit.cpp: In function ‘JSBool js_EmitTree(JSContext*, JSCodeGenerator*, JSParseNode*)’:
jsemit.cpp:5183: warning: ‘tps.TempPopScope::savedScopeStmt’ may be used uninitialized in this function
jsemit.cpp:5183: warning: ‘tps.TempPopScope::savedBlockBox’ may be used uninitialized in this function
jsemit.cpp:6697: warning: ‘tps.TempPopScope::savedScopeStmt’ may be used uninitialized in this function
jsemit.cpp:6697: warning: ‘tps.TempPopScope::savedBlockBox’ may be used uninitialized in this function
jsemit.cpp: In function ‘JSBool EmitSwitch(JSContext*, JSCodeGenerator*, JSParseNode*, JSStmtInfo*)’:
jsemit.cpp:3177: warning: ‘tps.TempPopScope::savedScopeStmt’ may be used uninitialized in this function
jsemit.cpp:3177: warning: ‘tps.TempPopScope::savedBlockBox’ may be used uninitialized in this function
Comment 1 Robert Sayre 2011-08-12 16:23:30 PDT
Created attachment 552793 [details] [diff] [review]
add the other two member variables
Comment 2 Jason Orendorff [:jorendorff] 2011-08-13 05:29:55 PDT
This warning isn't debug-only. I only see it in opt builds. I'm going to get rid of the #ifdef as well and just always initialize these.

I pushed this to jsdbg2 branch. In hindsight that's a pretty silly thing to have done, but it'll land with jsdbg2, I think this weekend. If it doesn't, or if jsdbg2 bounces, I'll push it to mozilla-inbound separately.
Comment 3 Jason Orendorff [:jorendorff] 2011-08-14 06:49:01 PDT
http://hg.mozilla.org/mozilla-central/rev/3cc01fa9d8fb

Note You need to log in before you can comment on or make changes to this bug.